package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 质检任务表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpSjdcQualityInspectionTaskService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpSjdcQualityInspectionTask(PageData pd)throws Exception {
        return daoSupport.update("SDtpSjdcQualityInspectionTaskMapper.addSDtpSjdcQualityInspectionTask", pd);
    }

    public List<PageData> findSDtpSjdcQualityInspectionTaskList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpSjdcQualityInspectionTaskMapper.selectSDtpSjdcQualityInspectionTaskList", pd);
    }

    public Integer SDtpSjdcQualityInspectionTaskRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpSjdcQualityInspectionTaskMapper.SDtpSjdcQualityInspectionTaskRemove", pd);
    }


    public Integer updateSDtpSjdcQualityInspectionTask(PageData pd)throws Exception {
        return daoSupport.update("SDtpSjdcQualityInspectionTaskMapper.updateSDtpSjdcQualityInspectionTask", pd);
    }

}
